-- Displays the transaction isolation level for 
-- sessions using the .NET client

SELECT CASE transaction_isolation_level
       WHEN 0 THEN 'Unspecified'
	   WHEN 1 THEN 'Read Uncommitted'
	   WHEN 2 THEN 'Read Committed'
	   WHEN 3 THEN 'Repeatable Read'
	   WHEN 4 THEN 'Serializable'
	   WHEN 5 THEN 'Snapshot'
	   ELSE 'Bazinga'
	   END AS [Transaction Isolation Level]
      ,session_id AS [Session Id]
	  ,login_time AS [Login Time]
  FROM sys.dm_exec_sessions
 WHERE program_name = '.Net SqlClient Data Provider'